#Chart

CA
_$ColChart
V
Collection

Id
v
s

_fProportionnal
v
f

FirstColumnAsLabel
p
b

DataOrientation
p
i

Border
p
b

BackGround
p
i

Height
p
i

Width
p
i

Type
p
i

Picture
p
Picture

Legend
r
_CLegend

YAxe
r
_CYAxe

XAxe
r
_CXAxe

Colors
r
_Colors

Title
r
_CTitle

CountDataSets
p
i

Count
p
i

Proportionnal
p
b

Headers
r
_CHeaders

Style
p
i

ShowLabels
p
b

_New
m


Draw
m


_Get
m
_CSerie
(Index)i
_Next
m
v

Resize
m

(iWidth)i(iHeight)i
_Free
m


#ChartStyle

CA
Custom
C
i
0
Default
C
i
1
#ChartType

CA
Columns
C
i
0
ColumnsStacked
C
i
1
ColumnsPercent
C
i
2
ColumnsLineCombination
C
i
3
Pie
C
i
10
PieRings
C
i
11
PieOffSet1
C
i
12
PieOffSet2
C
i
13
Lines
C
i
20
LinesStacked
C
i
21
LinesPercent
C
i
22
LinesSymbols
C
i
23
Areas
C
i
30
AreasStacked
C
i
31
AreasPercent
C
i
32
AreasSymbols
C
i
33
Bars
C
i
40
BarsStacked
C
i
41
BarsPercent
C
i
42
Plots
C
i
50
#_CAxes

C
MinValue
p
f

MaxValue
p
f

Step
p
f

Font
p
Font

Visible
p
b

AutoScale
p
b

#_CHeaders

C
Count
p
i

Values
p
String[]

_New
m

(sidChart)s
Add
m

(Value)s
_Put
m

(Index)i(Value)String[];
_Get
m
s
(Index)i
_Next
m
s

#_CLegend

C
Font
p
Font

Title
p
s

Position
p
i

Visible
p
i

_Width
r
i

_Height
r
i

_New
m

(sidChart)s
_Free
m


Draw
m

(bSeries)b
#_CSerie

C
Count
p
i

Values
p
Float[]

Text
p
s

LineStyle
p
i

LineWidth
p
i

Color
p
i

BackGround
p
i

_new
m

(sidChart)s
_SetCount
m

(Value)i(sidChart)s
_get
m
f
(Index)i
_Put
m

(Value)i(Index)v
_Next
m
f

#_CTitle

C
Font
p
Font

Text
p
s

Visible
p
b

_New
m


#_CXAxe
_CAxes
C
Normal
C
i
0
Steps
C
i
1
Arrange
p
i

#_CYAxe
_CAxes
C
ShowIntervalLines
p
b

